Subject: Re: [Add] New Version Notification for draft-reddy-add-server-policy-selection-03.txt

From: tirumal reddy <[email-masked]>
Date: Tue, 23 Jun 2020 11:41:19 +0530

Hi all,

We prepared an updated version of
https://tools.ietf.org/html/draft-reddy-add-server-policy-selection-03 to
address comments from Vittorio. The draft has been updated to provide the
reasons for filtering (1) malware (2) phishing (3) block-list due to a
policy by the operator of the DNS server (4) censored blocking based on a
requirement from an external entity.

As a reminder, it discusses how a DNS client can authenticate it is
connecting to a DoH/DoT server hosted by a specific
organization (e.g., ISP). This information is cryptographically signed to
attest its authenticity. It is particularly useful
 when the DoH/DoT server is insecurely discovered and prevents the client
from connecting to an attackers server.

Comments and suggestions are more than welcome.

Cheers,
-Tiru

On Thu, 18 Jun 2020 at 15:15, <[email-masked]> wrote:

>
> A new version of I-D, draft-reddy-add-server-policy-selection-03.txt
> has been successfully submitted by Tirumaleswar Reddy and posted to the
> IETF repository.
>
> Name:           draft-reddy-add-server-policy-selection
> Revision:       03
> Title:          DNS Server Selection: DNS Server Information with
> Assertion Token
> Document date:  2020-06-17
> Group:          Individual Submission
> Pages:          24
> URL:
> https://www.ietf.org/internet-drafts/draft-reddy-add-server-policy-selection-03.txt
> Status:
> https://datatracker.ietf.org/doc/draft-reddy-add-server-policy-selection/
> Htmlized:
> https://tools.ietf.org/html/draft-reddy-add-server-policy-selection-03
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-reddy-add-server-policy-selection
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-reddy-add-server-policy-selection-03
>
> Abstract:
>    The document defines a mechanism that allows communication of DNS
>    resolver information to DNS clients for use in server selection
>    decisions.  In particular, the document defines a mechanism for a DNS
>    server to communicate its filtering policy and privacy statement URL
>    to DNS clients.  This information is cryptographically signed to
>    attest its authenticity.  Such information is used for the selection
>    of DNS resolvers.  Typically, evaluating the DNS privacy statement,
>    filtering policy, and the signatory, DNS clients with minimum human
>    intervention can select the DNS server that best supports the user's
>    desired privacy and filtering policy.
>
>    This assertion is useful for encrypted DNS (e.g., DNS-over-TLS and
>    DNS-over-HTTPS) servers that are either public resolvers or are
>    discovered in a local network.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
>